Loading...
Searching...
No Matches
Exiv2::ImageType Namespace Reference

Supported image formats. More...

## Variables

const int | asf = 24
| Treating asf as an image type>
const int | bmff = 19
| BMFF (bmff) image type (see class BMFF)
const int | bmp = 14
| Windows bitmap (bmp) image type (see class BmpImage)
const int | cr2 = 7
| CR2 image type (see class Cr2Image)
const int | crw = 3
| CRW image type (see class CrwImage)
const int | eps = 18
| EPS image type.
const int | gif = 11
| GIF image type (see class GifImage)
const int | none = 0
| Not an image.
const int | jp2 = 15
| JPEG-2000 image type.
const int | jpeg = 1
| JPEG image type (see class JpegImage)
const int | exv = 2
| EXV image type (see class ExvImage)
const int | mkv = 21
| Treating mkv as an image type>
const int | mrw = 5
| MRW image type (see class MrwImage)
const int | orf = 9
| ORF image type (see class OrfImage)
const int | pgf = 17
| PGF image type (see class PgfImage)
const int | png = 6
| PNG image type (see class PngImage)
const int | psd = 12
| Photoshop (PSD) image type (see class PsdImage)
const int | qtime = 22
| Treating qtime as an image type>
const int | raf = 8
| RAF image type (see class RafImage)
const int | riff = 20
| Treating riff as an image type>
const int | rw2 = 16
| RW2 image type (see class Rw2Image)
const int | tga = 13
| Truevision TARGA (tga) image type (see class TgaImage)
const int | tiff = 4
| TIFF image type (see class TiffImage)
const int | dng = 4
| DNG image type (see class TiffImage)
const int | nef = 4
| NEF image type (see class TiffImage)
const int | pef = 4
| PEF image type (see class TiffImage)
const int | arw = 4
| ARW image type (see class TiffImage)
const int | sr2 = 4
| SR2 image type (see class TiffImage)
const int | srw = 4
| SRW image type (see class TiffImage)
const int | webp = 23
| Treating webp as an image type>
const int | xmp = 10
| XMP sidecar files (see class XmpSidecar)

## Detailed Description

Supported image formats.